/*
 * Name:    mx_bit.c
 *
 * Purpose: Bit manipulation utility functions.
 *
 * Author:  William Lavender
 *
 *-------------------------------------------------------------------------
 *
 * Copyright 2000-2001 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

#include "mx_util.h"
#include "mx_types.h"
#include "mx_bit.h"

MX_EXPORT mx_uint16_type
mx_byteswap( mx_uint16_type original_value )
{
	mx_uint8_type high_byte, low_byte;
	mx_uint16_type new_value;

	high_byte = (mx_uint8_type) ( original_value >> 8 );
	low_byte = (mx_uint8_type) original_value;

	new_value = high_byte;
	new_value |= ( low_byte << 8 );

	return new_value;
}

